post
https://sandbox.saner.secpod.com/AncorWebService/perform
Look up one non-security, firmware, rollback, or reboot job in Saner PM.
Get Non-Security Job Details.
This method fetches the details of a non-security remediation, firmware, rollback and reboot jobs in Saner PM. Details such as schedule, start time, end time, startwindowtime, remtype, startmessage, and endmessage are fetched.
| Key | Meaning | Mandatory | Data Type |
|---|---|---|---|
| name | Name of the job | Yes | string |
| accountid | Account identifier | Yes | string |
Python SDK code
Install:
pip install secpod-saner-sdkCall this endpoint:
from saner.cvem import CvemClient
client = CvemClient(
api_key="<YOUR_API_KEY>",
accountid="<YOUR_ACCOUNT_ID>",
base_url="https://saner.secpod.com"
)
response=client.Patch.getNonSecurityJobDetails(
accountid="Demo Account",
name="demo job"
)
print(response)
client.close()Requires Python 3.9 or later.